function coordz1(nx,ny,profondeurs,fs,i0,velocity)
% nx and ny are the number of points along the fast and slow scan directions
% profondeur is the vector of depths at which C-scan have been mapped
% fs sampling rate (MHz)
% i0 index of air-wave (no unit)
% velocity in m/us (to be consistent with fs in MHz)

%pt1=[726194.3 5237089.0]; % top right: starting point
%pt2=[726194.5 5237069.7]; % bottom right: fast scan axis
%pt3=[726174.5 5237069.3]; % bottom left: opposite to starting point
%pt4=[726173.9 5237088.3]; % top left: slow scan axis
pt1=[194.3 089.0]; % top right: starting point
pt2=[194.5 069.7]; % bottom right: fast scan axis
pt3=[174.5 069.3]; % bottom left: opposite to starting point
pt4=[173.9 088.3]; % top left: slow scan axis

dp1=pt4-pt1;
dxx=linspace(0,dp1(1),ny);
dxy=linspace(0,dp1(2),ny);
dp3=pt2-pt1; 
dyx=linspace(0,dp3(1),nx);
dyy=linspace(0,dp3(2),nx);
for y=1:ny
  for x=1:nx
    s((y-1)*nx+x,1)=dxx(y)+dyx(x)+pt1(1,1);
    s((y-1)*nx+x,2)=dxy(y)+dyy(x)+pt1(1,2);
  end
end
plot(s(:,1),s(:,2),'.')
hold on
plot(s(1,1),s(1,2),'ro');
hold off
title('Check that the red circle is at the starting point')
st(:,1)=s(:,1);
st(:,2)=s(:,2);
sss=[];

% load surface et generer x y z
d=dir('./surface*.txt'); 
for k=1:length(d)
  outname=strrep(d(k).name,'txt','dat')
  load(d(k).name);
  ss=size(surface);
  for y=1:ss(1)   % ny
    for x=1:ss(2) % nx
      s((y-1)*nx+x,3)=surface(y,x);
    end
  end
  s(:,4)=k;
  st(:,3)=-(profondeurs(k)-i0)*velocity./fs;   % assumes velocity in m/us
  st(:,4)=s(:,3);
  s(:,3)=s(:,3)-min(s(:,3));
  s(:,3)=floor(s(:,3)/max(s(:,3))*255);
  eval(['save -text ',outname,' s']);
  sss=[sss ; st];
end
sss(:,4)=sss(:,4)-min(sss(:,4));
sss(:,4)=floor(sss(:,4)/max(sss(:,4))*255);
map=jet(256);
[r, g, b]=ind2rgb(sss(:,4)+1,map);
sss(:,4)=r*255;
sss(:,5)=g*255;
sss(:,6)=b*255;
save -ascii point_cloud_gpr.xyz sss

