set (0, "defaultaxesfontname", "Helvetica")
more off
pkg load signal

close all
clear all

% number of traces to be considered along each track (which can be of variable
% length if the trolley is not always stopped at the same distance from the starting point)
n=206   % length of each trace (must be the min() of all trace lengths)
i0=66;  % emitted pulse position
dx=0.1 % measurement step (m)
dy=0.4 % trace separation (m)
profondeurs=i0+[00:5:200]; % depth (point index) array to be considered
fs=6411;                    % sampling frequency
B=firls(56,[0 50 100 400 450 fs/2]*2/fs,[0 0 1 1 0 0]); % define the bandpass filter, here 100-400 MHz (250 MHz shielded antenna)
somme=5;                % number of A-scan samples over which the measurement is averaged

d=dir('./*.rd3');       % d=dir('./1*.txt');
for k=1:length(d)
  m=1;
  fichier=d(k).name;
% cas des fichiers RD3
  fichier=fichier(1:end-4)
  [a,twt]=loadrd3(fichier); 
  a=a';
  %A=processradar(twt,dA);
  %imagesc(dA)
% cas des fichiers .txt : 
% a=load(d(k).name);

  a=filter(B,1,a')';    % apply filter: COMMENT IF UNWANTED
  a=abs(hilbert(a')');  % apply hilbert: COMMENT IF UNWANTED
  [sx,sy]=size(a);
  if (sx<n)
     o=zeros(n-sx,sy);
     a=[a',o']';
  end

  if (k==1)
     surf(linspace(0,size(a)(2)/fs*1000,size(a)(2)),linspace(0,size(a)(1)*dx,size(a)(1)),a); shading interp
     view(90,90)
     shading interp;ylabel('position (m)');xlabel('twt (ns)');axis tight
  endif
  longueur=length(a);
  for cprof=1:length(profondeurs)
    prof=profondeurs(cprof);
    if (mod(k,2)==1)
      if (somme==0)
        eval(['r',num2str(m),'(1:n,k)=(a(1:n,prof)'');']);
      else
        eval(['r',num2str(m),'(1:n,k)=sum((a(1:n,prof:prof+somme))'');']);
      endif
    else                  % flip dataset if odd row
      if (somme==0)
        eval(['r',num2str(m),'(1:n,k)=(fliplr(a(1:n,prof)''));']);
      else
        eval(['r',num2str(m),'(1:n,k)=sum(fliplr((a(1:n,prof:prof+somme))''));']);
      endif
    endif
    m=m+1;
  end
end

figure
for m=1:length(profondeurs)
  eval(['s=size(r',num2str(m),');']);
  longueur=linspace(0,s(1)*dx,s(1));    % probed area length (meters)
  largeur=[0:dy:dy*(s(2)-1)]; % probed area width (provide step)
  eval(['surface=abs(r',num2str(m),'''-mean(r',num2str(m),')''*ones(1,n));']);
%  subplot(4,5,m)
%  surf(longueur,largeur,surface);
%  shading interp
%  eval(['ylabel(',num2str(profondeurs(m)),');']);
%  view(0,90)
  eval(['save -text surface',num2str(profondeurs(m),'%03.0f'),'.txt surface']);
%  surf(surface);shading interp;view([0 90])
%  eval(['print -dpng surface',num2str(profondeurs(m),'%03.0f'),'.png']);
end
% colormap gray

coordz1(s(1),s(2),profondeurs,fs,i0,100);  % 100 m/us
